import 'package:flutter/material.dart';
import 'package:karot_components/card/karot_card_dialog.dart';
import 'package:karot_components/card/karot_show_card_info_dialog.dart';
import 'package:karot_components/constant/dialog_enum.dart';
import 'package:karot_components/constant/theme.dart';

import 'package:karot_components/label/karot_note.dart';
import 'package:karot_components/label/karot_label.dart';
import 'package:karot_components/sider/karot_slider.dart';
import 'package:karot_components/button/karot_button.dart';
import 'package:karot_components/button/karot_text_button.dart';
import 'package:karot_components/constant/button_enum.dart';
import 'package:karot_components/constant/text_enum.dart';

void main() {
  runApp(const MaterialApp(home: MyApp()));
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  // String _platformVersion = 'Unknown';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: const Color(0xFFE91A4D),
        title: const Text('Flutter Karot Components'),
      ),
      body: SingleChildScrollView(
        padding: const EdgeInsets.all(10),
        child: Column(children: [
          const KRLabel(
              text: "Button Section", size: KRTextSize.title, isBold: true),
          Column(
            children: [
              KRButton(
                  text: "Hello World",
                  isFull: false,
                  isOutline: false,
                  isBold: false,
                  size: KRButtonSize.small,
                  onPress: () {}),
              KRButton(
                  text: "Hello World",
                  isFull: false,
                  isOutline: false,
                  isBold: false,
                  size: KRButtonSize.regular,
                  onPress: () {}),
              KRButton(
                  text: "Hello World",
                  isFull: false,
                  isOutline: false,
                  isBold: false,
                  size: KRButtonSize.large,
                  onPress: () {}),
            ],
          ),
          Column(
            children: [
              KRButton(
                  text: "Hello World",
                  isFull: true,
                  isOutline: true,
                  isBold: false,
                  size: KRButtonSize.small,
                  onPress: () {}),
              KRButton(
                  text: "Hello World",
                  isFull: true,
                  isOutline: false,
                  isBold: false,
                  size: KRButtonSize.regular,
                  onPress: () {}),
              KRButton(
                  text: "Hello World",
                  isFull: true,
                  isOutline: true,
                  isBold: false,
                  size: KRButtonSize.large,
                  onPress: () {}),
            ],
          ),
          Column(
            children: [
              KRButton(
                  text: "Hello World",
                  isFull: false,
                  isOutline: true,
                  isBold: false,
                  size: KRButtonSize.small,
                  onPress: () {}),
              KRButton(
                  text: "Hello World",
                  isFull: false,
                  isOutline: false,
                  isBold: false,
                  size: KRButtonSize.regular,
                  onPress: () {}),
              KRButton(
                  text: "Hello World",
                  isFull: false,
                  isOutline: true,
                  isBold: false,
                  size: KRButtonSize.large,
                  onPress: () {}),
            ],
          ),
          Column(
            children: [
              KRButton(
                  text: "Hello World Bold",
                  isFull: false,
                  isOutline: false,
                  isBold: true,
                  size: KRButtonSize.regular,
                  onPress: () {}),
              KRButton(
                  text: "Hello World Normal",
                  isFull: false,
                  isOutline: false,
                  isBold: false,
                  size: KRButtonSize.regular,
                  onPress: () {}),
            ],
          ),
          const KRLabel(
              text: "Text Button Section",
              size: KRTextSize.title,
              isBold: true),
          KRTextButton(
              text: "Text Button",
              isBold: true,
              size: KRButtonSize.small,
              onPress: () {}),
          KRTextButton(
              text: "Text Button",
              isBold: true,
              size: KRButtonSize.regular,
              onPress: () {}),
          KRTextButton(
              text: "Text Button",
              isBold: true,
              size: KRButtonSize.large,
              onPress: () {}),
          const KRNote(
              text:
                  "Hello world, this component is used simplified performance and faster development"),
          const SizedBox(height: 20),
          const KRNote(
              text:
                  "Hello world, this component is used simplified performance and faster development",
              textColor: KRTheme.DEFAULT_PRIMARY_COLOR,
              textAlign: TextAlign.center),
          const SizedBox(height: 20),
          const KRNote(
              text:
                  "Hello world, this component is used simplified performance and faster development",
              textAlign: TextAlign.right),
          const KRLabel(
              text: "Slider Section", size: KRTextSize.title, isBold: true),
          KRSlider(label: const Text("Hi There")),
          const KRLabel(
              text: "Card Section", size: KRTextSize.title, isBold: true),
          KRButton(
              backgroundColor: 0xFF3789E7,
              text: "Show Info Dialog",
              isFull: false,
              isOutline: false,
              isBold: false,
              size: KRButtonSize.large,
              onPress: () {
                KRCardInfoDialog.showMyDialog(context,
                    dialogType: KRDialog.info,
                    title: "Congra !!!",
                    bodyText:
                        "Hello world, this component is used simplified performance and faster development",
                    onDismissTap: () {});
              }),
          KRButton(
              backgroundColor: 0xFFF90909,
              text: "Show Error Dialog",
              isFull: false,
              isOutline: false,
              isBold: false,
              size: KRButtonSize.large,
              onPress: () {
                KRCardInfoDialog.showMyDialog(context,
                    dialogType: KRDialog.error,
                    title: "Congra !!!",
                    bodyText:
                        "Hello world, this component is used simplified performance and faster development",
                    onDismissTap: () {});
              }),
          KRButton(
              backgroundColor: 0xFF37E75D,
              text: "Show Success Dialog",
              isFull: false,
              isOutline: false,
              isBold: false,
              size: KRButtonSize.large,
              onPress: () {
                KRCardInfoDialog.showMyDialog(context,
                    dialogType: KRDialog.sucess,
                    title: "Congra !!!",
                    bodyText:
                        "Hello world, this component is used simplified performance and faster development",
                    onDismissTap: () {});
              }),
          KRButton(
              backgroundColor: 0xFFE79537,
              text: "Show Warning Dialog",
              isFull: false,
              isOutline: false,
              isBold: false,
              size: KRButtonSize.large,
              onPress: () {
                KRCardInfoDialog.showMyDialog(context,
                    dialogType: KRDialog.warning,
                    title: "Congra !!!",
                    bodyText:
                        "Hello world, this component is used simplified performance and faster development",
                    onDismissTap: () {});
              }),
          KRButton(
              text: "Show Option Dialog",
              isFull: false,
              isOutline: false,
              isBold: false,
              size: KRButtonSize.large,
              onPress: () {
                KRCardInfoDialog.showMyDialog(context,
                    dialogType: KRDialog.warning,
                    title: "Congra !!!",
                    bodyText:
                        "Hello world, this component is used simplified performance and faster development",
                    confirmText: "OK",
                    onDismissTap: () {},
                    onConfirmTap: () {});
              }),

        ]),
      ),
    );
  }
}
