import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:karot_components/constant/text_enum.dart';
import 'package:karot_components/constant/text_style.dart';
import 'package:karot_components/constant/theme.dart';

class KRLoading extends StatelessWidget {
  final String text;
  final int backgroundColor;
  final int textColor;
  final bool isBold;
  final KRTextSize size;

  const KRLoading({
    Key? key,
    required this.text,
    this.isBold = false,
    this.size = KRTextSize.body,
    this.backgroundColor = KRTheme.DEFAULT_PRIMARY_COLOR,
    this.textColor = KRTheme.DEFAULT_DARK_COLOR,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      text,
      maxLines: 0,
      style: TStyle.textText(
          isBold: isBold, fontSize: size, color: Color(textColor)),
    );
  }
}
